{extends file='theme.tpl'}
{block "content"}
      <section class="page-body">
{if $ss_pageTitle ne "New gallery index page"}
        <h2 class="page-title">{$ss_pageTitle}</h2>
{/if}
        <ul class="thumbs index-{$ss_indexThumbColumns}-col">
{foreach $ss_groupGalleryLinks as $galleryLink}
          <li class="thumbs-item" style="max-width: {$galleryLink->thumbWidth}px">
            <figure>
              <div class="image-wrap" style="padding-bottom: {$galleryLink->thumbFormat}%; box-shadow: {$indexShadowColor} 0 0 {$indexShadowBlur}px">
                <a href="{$galleryLink->galleryUrl}" title="">
                  <img class="thumb-image" alt="" src="{$galleryLink->thumbUrl}">
                </a>
              </div>
              <figcaption>
                <a href="{$galleryLink->galleryUrl}" title="">
                  {$galleryLink->navName}
{if $showImageCount|lower eq "true"}
                  <span class="imagecount">
                    {$galleryLink->imageCountString}
                  </span>
{/if}
                </a>
              </figcaption>
            </figure>
          </li>
{foreachelse}
          <li class="no-galleries">No galleries have been assigned to this page group.</li>
{/foreach}
        </ul>
      </section>
{/block}
