<!DOCTYPE html>
<!--[if lt IE 7]><html lang="en" class="ie6"><![endif]-->
<!--[if IE 7]><html lang="en" class="ie7"><![endif]-->
<!--[if IE 8]><html lang="en" class="ie8"><![endif]-->
<!--[if gt IE 8]><!-->
<html lang="en" class="no-js">
  <!--<![endif]-->
  <!-- Showkase {$ss_showkaseVersion}, build {$ss_showkaseBuild} -->
  <head>
  {block "head"}
    {block "headfirst"}{/block}
    {block "meta"}{/block}
    {block "stylelinks"}{/block}
    {block "scriptlinks"}{/block}
    <style type="text/css">
      {block "styles"}{/block}
    </style>
    {block "headlast"}{/block}
  {/block}
  </head>
  <body class="{$themePalette} type-{$ss_pageType} page-{$ss_pageRef} group-{$ss_parentPage} {$ss_pageLevel} body-{$bodyFont} headings-{$headingsFont} {$backgroundImageStyle}">
  {block "body"}
    <div id="outer">
      <div id="wrapper">
        <header>
          {block "header"}{/block}
        </header>
        <section class="content">
          {block "content"}{/block}
        </section>
        <footer>
          {block "footer"}{/block}
        </footer>
      </div>
    </div>
  {/block}
  </body>
</html>
