{extends file='basetheme.tpl'}

{*
 * This file provides a link between the page templates and the base theme template
 * Any blocks added to this file will override/prepend/append corresponding blocks in the base theme template
 *}

{block "scriptlinks" append}
    <script src="{$ss_themeUrl}/js/theme.js"></script>
{/block}


{block "styles" prepend}
{if $showHomeNav eq 'false'}
      /* Show/hide home page in nav */
      nav > ul:first-child > li:first-child {
        display: none;
      }
{/if}
{if $showGallerySubNav eq 'false'}
      /* Show/hide gallery and gallery index sub-nav */
      .type-galleryindex .subnav,
      .type-juicebox .subnav,
      .type-simpleviewer .subnav,
      .type-listviewer .subnav {
        display: none;
      }
{/if}
      /* logo/nav space allocation */
      {$logoPercentWidth=$logoWidth*106/$ss_siteMaxWidth}
      @media only screen and (min-width: 768px) {
        header div.hgroup {
          width: {$logoPercentWidth}%;
        }
      nav {
        width: {99-$logoPercentWidth}%;
        }
      }
{/block}


{block "nav"}
{$ss_navLinks}
{/block}
