{extends file='theme.tpl'}

{block "styles" append}
      /* Gallery index styles */
      .image-wrap {
        box-shadow: {$indexShadowColor} 0 0 {$indexShadowBlur}px;
      }
{/block}


{block name=body}
    <div id="outer">
      <div id="wrapper">
        <header>
          <nav><a href="{$managerBackLinkUrl}">{$managerBackLinkText}</a></nav>
          <h1>{$ss_pageTitle}</h1>
        </header>
        <section class="content">
          <ul class="thumbs  index-{$ss_indexThumbColumns}-col">
  {foreach $ss_groupGalleryLinks as $galleryLink}
            <li class="thumbs-item" style="max-width: {$galleryLink->thumbWidth}px">
              <figure>
                <div class="image-wrap" style="padding-bottom: {$galleryLink->thumbFormat}%">
                  <a href="{$galleryLink->galleryUrl}" title="">
                    <img class="thumb-image" alt="" src="{$galleryLink->thumbUrl}">
                  </a>
                </div>
                <figcaption>
                  <a href="{$galleryLink->galleryUrl}" title="">
                    {$galleryLink->navName}
{if $showImageCount|lower eq "true"}
                    <span class="imagecount">
                      {$galleryLink->imageCountString}
                    </span>
{/if}
                  </a>
                </figcaption>
              </figure>
            </li>
  {foreachelse}
            <li>No galleries have been assigned to this page group.</li>
  {/foreach}
          </ul>
        </section>
      </div>
    </div>
{/block}
