<?php
/**
 * Part of Showkase web site management package
 *
 * @package Showkase
 * @author Jack Hardie {@link http://www.jhardie.com}
 * @copyright Copyright (c) 2012, SimpleViewer Inc.
 */
defined('SK_ACCESS')||die('<h1>403: Forbidden</h1>');
$ds = DIRECTORY_SEPARATOR;
require_once "classes{$ds}formfield.php";

 /**
 * Special field to pass parameters to a theme
 * parameter fields are not exposed and not saved in xml files
 *
 * @package Showkase
 */
class ParameterField extends FormField
{

    /**
     * Overrides parent method
     *
     * @return boolean
     */
    public function exposed()
    {
        return false;
    }
    
  
    /**
     * Required method
     *
     * @return string
     */
    public function getHtml(&$tab)
    {
        return '';
    }

}