<?php
/**
 * Part of Showkase web site management package
 *
 * @package Showkase
 * @author Jack Hardie {@link http://www.jhardie.com}
 * @copyright Copyright (c) 2012, SimpleViewer Inc.
 */
defined('SK_ACCESS')||die('<h1>403: Forbidden</h1>');
require_once 'classes'.DIRECTORY_SEPARATOR.'pagebuttonbar.php';
 
/**
 * Creates Title, close link and buttonbar
 *
 * @package Showkase
 */
class LinkButtonbar extends PageButtonbar
{
/**
   * Overrides method in PageButtonbar
   * provides a different view link
   *
   * @return string
   * @param Page object
   */
  public function getHtml()
  {
    $html = <<<EOD
      <ul class="subnav">
        <li class="customize"><a href="index.php?cmd=pagecustomize" title="Set link target and customize navigation"><span>Customize</span></a></li>
      </ul>

EOD;
    return $html;
  }
}