<?php
defined('SK_ACCESS')||die('<h1>403: Forbidden</h1>');

/**
 * Part of Showkase web site management package
 *
 * @package Showkase
 * @author Jack Hardie {@link http://www.jhardie.com}
 * @copyright Copyright (c) 2017, SimpleViewer Inc.
 */
// Set DEBUG to true for detailed error messages
define('DEBUG', false);
// Version number. Replaced by 'APP_VER' during build
define ('SK_VERSION', '1.7.5 ');
// App title. Replaced by 'APP_TITLE' during build
define ('SK_TITLE', 'Showkase 1.7.5 ');
// Build Time. Replaced during build
define('SK_BUILD', '2020.03.30.10.11.27');
// Max execution time for publishing will be at least this value
define('MAX_EXECUTION_TIME', 300);
// Max upload size in Megabyte, 0 for auto
define('POST_MAX_SIZE', 0);
// Max size for expanded jpeg image in MByte, 0 for auto
define('MEMORY_LIMIT', 0);
// New directory chmod, NULL gives server default permissions
define('NEW_DIR_MODE', 0755);
// New file chmod, NULL gives server default permissions
define('NEW_FILE_MODE', 0644);
// Trash command attempts to set these permissions
define('TRASH_DIR_MODE', 0777);
define('TRASH_FILE_MODE', 0777);
// Preferred uploader runtime if available
define('UPLOADER_RUNTIME', 'html5');
// Uploader chunk size for multi-part uploads
define('UPLOADER_CHUNK_SIZE', '1mb');
// default settings for upload screens
define('LIBRARY_RESIZE_DEFAULT', true);
define('GALLERY_RESIZE_DEFAULT', true);
define('GALLERY_DEFAULT_IMAGE_WIDTH', 1280);
define('GALLERY_DEFAULT_IMAGE_HEIGHT', 960);
define('LIBRARY_DEFAULT_IMAGE_WIDTH', 1024);
define('LIBRARY_DEFAULT_IMAGE_HEIGHT', 768);
define('GALLERY_DEFAULT_RESIZE_QUALITY', 80);
define('LIBRARY_DEFAULT_RESIZE_QUALITY', 80);
// multi-image defaults if not available from theme
define('LARGE_IMAGE_WIDTH', 2048);
define('LARGE_IMAGE_HEIGHT', 1536);
define('LARGE_IMAGE_QUALITY', 80);
define('MEDIUM_IMAGE_WIDTH', 1024);
define('MEDIUM_IMAGE_HEIGHT', 768);
define('MEDIUM_IMAGE_QUALITY', 80);
define('SMALL_IMAGE_WIDTH', 800);
define('SMALL_IMAGE_HEIGHT', 600);
define('SMALL_IMAGE_QUALITY', 80);
// image sort order default
define('GALLERY_DEFAULT_SORT', 'rdate');
// Upload overwrites thumbnail files. Default is false.
define('OVERWRITE_THUMBNAILS', false);
// Index thumbs are constantly updated. Default is true.
define('OVERWRITE_INDEX_THUMBS', true);
// Fallback if not set in theme: width of thumbnails in galleries index (px)
define('INDEX_THUMB_WIDTH', 230);
// Fallback if not set in theme: height of thumbnails in galleries index (px)
define('INDEX_THUMB_HEIGHT', 230);
// default target attribute for image links
define('IMAGE_LINK_DEFAULT_TARGET', '_blank');
define('MEMORY_SAFETY_FACTOR', 1.9);
define('POST_MAX_SIZE_FALLBACK', '8M');
define('MEMORY_LIMIT_FALLBACK', '128M');
define('UPLOAD_MAX_FILESIZE_FALLBACK', '2M');
define('PREFERENCES_PATH', 'preferences.txt');
define('PLUGINS_DIRECTORY', 'plugins');
define('PLUGINS_MASTER_DIRECTORY', 'master');
define('THEME_PAGE_TEMPLATE_DIRECTORY', 'pagetypes');
define('THEME_PAGE_INI_DIRECTORY', 'pagetypes');
define('THEME_VIEWER_INI_DIRECTORY', 'viewers');
define('CURRENT_THEME_FILE', 'theme.txt');
// Relative path from gallery folder to file containing image data in gallery-independent format
define('IMAGE_DATA_FILE', 'images.txt');
define('SALT', 'osformo');
define('SALT_LENGTH', 9);
define('ELAPSED_TIMEOUT_SECONDS', 600);
define('LOGIN_TIME', 'sklogintime');
define('INACTIVITY_SECONDS', 24*60*60);
define('INACTIVITY_TIMEOUT', 'sktimeout');
define('SESSION_USER', 'skuser');
define('SESSION_PASS', 'skpass');
define('SESSION_DEFAULT_PASS', 'skdefaultpass');
define('SESSION_HASH', 'skhash');
define('PASSWORD_RESET_FILE', 'showkasereset.php');
define('SLEEP_TIME', 1);
define('IMAGE_SRC', 'img'.DIRECTORY_SEPARATOR);
define('INDEX_THUMB_PREFIX', 't');
define('THUMB_DISPLAY_SIZE', 65);
// Parent page refs for hidden and trash pages
define('PAGE_HIDDEN_PARENT', '-1');
define('PAGE_TRASH_PARENT', '-2');
// Some servers have problems with LOCK_EX on file save. Default is true.
define('SK_FILE_LOCK', true);
define('DEMO_MODE', false);
