{extends file='theme.tpl'}

{block "meta" prepend}
    <meta name="robots" content="{$metaRobots}">
{/block}


{block "content"}
        <section class="page-body">
          <h2 class="page-title">{$ss_pageTitle}</h2>
          <section class="vcard">
	          <p>{strip}
{if $ss_vcardFn ne ''}
	            <span class="fn">{$ss_vcardFn}</span>
{/if}
	          </p>{/strip}
	          <p class="adr">{strip}
{if $ss_vcardOrg ne ''}
	            <span class="org">{$ss_vcardOrg}</span>
{/if}
{if $ss_vcardPostOfficeBox ne ''}
	            <span class="post-office-box">{$ss_vcardPostOfficeBox}</span>
{/if}
{if $ss_vcardExtendedAddress ne ''}
	            <span class="extended-address">{$ss_vcardExtendedAddress}</span>
{/if}
{if $ss_vcardStreetAddress ne ''}
	            <span class="street-address">{$ss_vcardStreetAddress}</span>
{/if}
{if $ss_vcardLocality ne ''}
	            <span class="locality">{$ss_vcardLocality}</span>
{/if}
{if $ss_vcardRegion ne ''}
	            <span class="region">{$ss_vcardRegion}</span>
{/if}
{if $ss_vcardPostalCode ne ''}
	            <span class="postal-code">{$ss_vcardPostalCode}</span>
{/if}
{if $ss_vcardCountryName ne ''}
	            <span class="country-name">{$ss_vcardCountryName}</span>
{/if}
	          </p>{/strip}
	          <p class="email">{strip}
	{if $ss_vcardEmail1 ne ''}
	            Email: {mailto address=$ss_vcardEmail1 text=$ss_vcardEmail1 encode=$mailtoEncode extra='class="email" title="Email"'}
	{/if}
	          </p>{/strip}
	          <p class="tel">{strip}
{if $ss_vcardTel1Type ne '' or $ss_vcardTel1Value ne ''}
	            <span class="type">{$ss_vcardTel1Type} </span>{$ss_vcardTel1Value}
{/if}
	          </p>{/strip}
	          <p class="tel">{strip}
{if $ss_vcardTel2Type ne '' or $ss_vcardTel2Value ne ''}
	            <span class="type">{$ss_vcardTel2Type} </span>{$ss_vcardTel2Value}
{/if}
	          </p>{/strip}
	          <p class="tel">{strip}
{if $ss_vcardTel3Type ne '' or $ss_vcardTel3Value ne ''}
	            <span class="type">{$ss_vcardTel3Type} </span>{$ss_vcardTel3Value}
{/if}
	          </p>{/strip}
          </section>
{if $ss_contactFormTo ne ""}
          <section class="form-style" id="contact-form">
              <div id="contact-results"></div>
              <div id="contact-body">
                  <label for="name">Name <span class="required">*</span></label>
                  <input type="text" name="name" id="name" required="true" class="input-field">
                  <label for="email">Email <span class="required">*</span></label>
                  <input type="email" name="email" required="true" class="input-field">
                  <label for="message">Message <span class="required">*</span></label>
                  <textarea name="message" id="message" class="textarea-field" required="true"></textarea>
                  <input type="hidden" name="script" value="{$ss_viewersUrl}/contact/contactcore/contact.php">
                  <input type="hidden" name="pagepath" value="{$ss_pagePath}">
                  <input type="submit" id="submitbtn" value="Send">
                  * Please complete all entries
              </div>
          </section>
{/if}
	        <section>
	          <div class="body-content {$pageBodyLayout}">
	            {$ss_pageBody}
	          </div>
	        </section>
        </section>
{/block}

{block "body" append}
    <script src="{$ss_viewersUrl}/contact/contactcore/contact.js"></script>
{/block}
