<?php
/**
 * Part of Showkase web site management package
 *
 * @package Showkase
 * @author Jack Hardie {@link http://www.jhardie.com}
 * @copyright Copyright (c) 2012, SimpleViewer Inc.
 */
defined('SK_ACCESS')||die('<h1>403: Forbidden</h1>');
 
/**
 * Creates Title, close link and buttonbar
 *
 * @package Showkase
 */
class GalleryButtonbar extends ButtonBar
{

 /**
   * Class name for ul tag
   */
  protected $ulClass = 'subnav';
  
  /**
   * Source data for tab html
   */
  protected $links = array(
      array(
          'class'=>'customize',
          'cmd'  =>'pagecustomize',
          'title'=>'Change page appearance',
          'text' =>'<span>Customize</span>'
          ),
      array(
          'class'=>'images',
          'cmd'  =>'images',
          'title'=>'Image list',
          'text' =>'<span>Images</span>'
          ),
      array(
          'class'=>'sort',
          'cmd'  =>'sort',
          'title'=>'Image sort',
          'text' =>'<span>Sort</span>'
          ),
      array(
          'class'=>'plupload',
          'cmd'  =>'plupload',
          'title'=>'Upload new images',
          'text' =>'<span>Upload</span>'
          ),
      array(
          'class'=>'advanced',
          'cmd'  =>'advanced',
          'title'=>'Advanced options',
          'text' =>'<span>Advanced</span>'
          )
      );
}
