<?php
/**
 * Part of Showkase web site management package
 *
 * @package Showkase
 * @author Jack Hardie {@link http://www.jhardie.com}
 * @copyright Copyright (c) 2013, SimpleViewer Inc.
 */
defined('SK_ACCESS')||die('<h1>403: Forbidden</h1>');

/**
 * Button bar for System tab
 *
 * @package Showkase
 */
class PrimaryButtonbar extends ButtonBar
{
  /**
   * Class name for ul tag
   */
  protected $ulClass = 'primarynav';
  
  /**
   * Source data for tab html
   */
  protected $links = array(
        array(
            'class'=>'pages first',
            'cmd'=>'showpages',
            'title'=>'List of web site content',
            'text'=>'Pages'
        ),
        array(
            'class'=>'site',
            'cmd'=>'sitecustomize',
            'title'=>'Customize appearance of your web site as a whole',
            'text'=>'Site'
        ),
        array(
            'class'=>'library',
            'cmd'=>'imagelib',
            'title'=>'Image library',
            'text'=>'Library'
        ),
        array(
            'class'=>'admin last',
            'cmd'=>'account',
            'title'=>'Showkase system tasks',
            'text'=>'System'
        )
    );
}