<?php
/**
 * Part of Showkase web site management package
 *
 * @package Showkase
 * @author Jack Hardie {@link http://www.jhardie.com}
 * @copyright Copyright (c) 2013, SimpleViewer Inc.
 */
defined('SK_ACCESS')||die('<h1>403: Forbidden</h1>');

/**
 * Button bar for Site sub-pages
 *
 * @package Showkase
 */
class SiteButtonbar extends ButtonBar
{
  /**
   * Class name for ul tag
   */
  protected $ulClass = 'subnav';
  
  /**
   * Source data for tab html
   */
  protected $links = array(
        array(
            'class'=>'sitecustomize',
            'cmd'=>'sitecustomize',
            'title'=>'Overall web site settings',
            'text'=>'Site Settings'
        ),
        array(
            'class'=>'themecustomize',
            'cmd'=>'themecustomize',
            'title'=>'Customize current theme',
            'text'=>'Customize Theme'
        ),
        array(
            'class'=>'themeselect',
            'cmd'=>'themeselect',
            'title'=>'Choose new theme',
            'text'=>'Change Theme'
        ),
        array(
            'class'=>'viewercustomize',
            'cmd'=>'viewercustomize',
            'title'=>'Customize viewer',
            'text'=>'Customize Viewers'
        ),
        array(
            'class'=>'viewers',
            'cmd'=>'allviewers',
            'title'=>'Change or reinstall gallery viewers on all pages',
            'text'=>'Change Viewers'
        ),
        array(
            'class'=>'import',
            'cmd'=>'import',
            'title'=>'Import',
            'text'=>'Import'
        )
    );
}