<?php
/**
 * Part of Showkase web site management package
 *
 * @package Showkase
 * @author Jack Hardie {@link http://www.jhardie.com}
 * @copyright Copyright (c) 2013, SimpleViewer Inc.
 */
defined('SK_ACCESS')||die('<h1>403: Forbidden</h1>');

/**
 * Button bar for System tab
 *
 * @package Showkase
 */
class SystemButtonbar extends ButtonBar
{
  /**
   * Class name for ul tag
   */
  protected $ulClass = 'subnav';
  
  /**
   * Source data for tab html
   */
  protected $links = array(
        array(
            'class'=>'account',
            'cmd'=>'account',
            'title'=>'Change user name and password',
            'text'=>'Change Log-in'
        ),
        array(
            'class'=>'repair',
            'cmd'=>'repair',
            'title'=>'Repair page records',
            'text'=>'Repairs'
        ),
        array(
            'class'=>'recover',
            'cmd'=>'recover',
            'title'=>'Recover deleted pages',
            'text'=>'Recover'
        ),
        array(
            'class'=>'setup',
            'cmd'=>'setup',
            'title'=>'Review of change setup',
            'text'=>'Setup'
        ),
        array(
            'class'=>'files',
            'cmd'=>'files',
            'title'=>'Change file permissions',
            'text'=>'Files'
        )
    );
}