<?php
/**
 * Part of Showkase web site management package
 *
 * @package Showkase
 * @author Jack Hardie {@link http://www.jhardie.com}
 * @copyright Copyright (c) 2012, SimpleViewer Inc.
 */
defined('SK_ACCESS')||die('<h1>403: Forbidden</h1>');
 
/**
 * Command parent class
 *
 * @package Showkase
 */
abstract class Command
{
    final function __construct() { }
    function execute(Request $request)
    {
      $this->doExecute($request);
    }
    abstract function doExecute(Request $request);
}

