<?php
/**
 * Part of Showkase web site management package
 *
 * @package Showkase
 * @author Jack Hardie {@link http://www.jhardie.com}
 * @copyright Copyright (c) 2012, SimpleViewer Inc.
 */
defined('SK_ACCESS')||die('<h1>403: Forbidden</h1>');
require_once 'classes'.DIRECTORY_SEPARATOR.'page.php';
 
/**
 * About page
 *
 * @package Showkase
 */
class ContactPage extends Page
{
  /**
     * @var string viewer core directory name
     * The contact form is treated as a viewer and php code is cached in the same way
     */
    protected $viewerCore = CONTACT_CORE_DIRECTORY;
    
  /**
   * Is this page type a gallery
   *
   * @return boolean
   */
   public function isGallery()
   {
     return false;
   }
}    