<?php
/**
 * Part of Showkase web site management package
 *
 * @package Showkase
 * @author Jack Hardie {@link http://www.jhardie.com}
 * @copyright Copyright (c) 2012, SimpleViewer Inc.
 */
defined('SK_ACCESS')||die('<h1>403: Forbidden</h1>');

/**
 * Creates Title, close link and buttonbar
 *
 * @package Showkase
 */
class LibrarybrowseButtonbar extends ButtonBar
{
  /**
   * Returns string containing button bar html
   * Overrides parent method
   *
   * @return string
   */
  public function getHtml()
  {
    $html = '
    <h2>Insert library image</h2>
';
    return $html;
  }
}