<?php
/**
 * Part of Showkase web site management package
 *
 * @package Showkase
 * @author Jack Hardie {@link http://www.jhardie.com}
 * @copyright Copyright (c) 2012, SimpleViewer Inc.
 */
defined('SK_ACCESS')||die('<h1>403: Forbidden</h1>');

/**
 * Creates Title, close link and buttonbar
 *
 * @package Showkase
 */
class LibraryButtonbar extends ButtonBar
{

    /**
     * Class name for ul tag
     */
    protected $ulClass = 'subnav';
    
    /**
     * Source data for tab html
     */
    protected $links = array(
        array(
            'class'=>'images',
            'cmd'  =>'imagelib',
            'title'=>'Image list',
            'text' =>'<span>Images</span>'
            ),
        array(
            'class'=>'plupload',
            'cmd'  =>'pluploadlib',
            'title'=>'Upload new images',
            'text' =>'<span>Upload</span>'
            )
    );
}