<?php
/**
 * Part of Showkase web site management package
 *
 * @package Showkase
 * @author Jack Hardie {@link http://www.jhardie.com}
 * @copyright Copyright (c) 2012, SimpleViewer Inc.
 */
defined('SK_ACCESS')||die('<h1>403: Forbidden</h1>');
require_once 'classes'.DIRECTORY_SEPARATOR.'page.php';
 
/**
 * Library page
 *
 * @package Showkase
 */
class LibraryPage extends Page
{
 /**
  * @var object gallery
  */
  public $gallery;
  
 /**
  * @var string page type
  */
  protected $pageType;
  
 /**
  * Constructor
  * Overrides parent
  *
  */
  public function __construct(Layer $layer, $ref, $pageType, $path, ThemeSet $themeSet)
  {
    $this->pageType = $pageType;
    $this->supportedPageType = true;
    $this->plugin = 'library';
    $this->gallery = new LibraryGallery($this, $ref, $path, false);
  }
  /**
   * Is this page type a gallery
   *
   * @return boolean
   */
   public function isGallery()
   {
     return true;
   }
}    