/**
 * Part of Showkase web site management package
 *
 * @package Showkase
 * @author Jack Hardie {@link http://www.jhardie.com}
 * @copyright Copyright (c) 2020, SimpleViewer Inc.
 */
 
$(function() {
  $('#selectall').on('click', function(event){
    $('input.selectcaption').prop('checked', this.checked);
  });
  $('#selectalltitles').on('click', function(event){
    $('input.selecttitle').prop('checked', this.checked);
  });
  $('#selectallurls').on('click', function(event){
    $('input.selecturl').prop('checked', this.checked);
  });
  $('#selectallpurchase').on('click', function(event){
    $('input.selectpurchase').prop('checked', this.checked);
  });
  $('#selectalldelete').on('click', function(event){
    $('input.selectdelete').prop('checked', this.checked);
  });
  $('#selectallshowflip').on('click', function(event){
    $('input.selectshowflip').prop('checked', this.checked);
  });
  $('#selectalltarget').on('click', function(event){
    $('input.selecttarget').prop('checked', this.checked);
  });
  $('#copy').on('click', copyTo);
  $('button[type="submit"]').on('click', function(event){
    var deletions = $('input.selectdelete').filter(':checked').length;
    if (deletions < 1) return true;
    if (deletions == 1) return window.confirm('Deleting 1 image');
    return window.confirm('Deleting ' + deletions + ' images');
  });
  
});

function copyTo()
{
  // assumes ilcaption inputs and textareas are listed in the correct order 
  copyText = $('#copytext').val();
  var captions = $('#imagelisttable td.ilcaption input, #imagelisttable td.ilcaption textarea');
  var checkboxes = $('#imagelisttable td.ilselect input');
  captions.each(function(n){
    if(checkboxes[n].checked) {
     $(this).val(copyText);
    }
  });
}
  
