﻿/*
Copyright (c) 2003-2010, CKSource - Frederico Knabben. All rights reserved.
For licensing, see LICENSE.html or http://ckeditor.com/license
*/

CKEDITOR.editorConfig = function( config )
{
	// Define changes to default configuration here.
	
	// Extend automatic allowed content to iframes only (JH)
	// See http://stackoverflow.com/questions/16975859/ckeditor-doesnt-read-media-embed-code
	// config.extraAllowedContent = 'iframe[*]'
	// Disable Advanced Content Filter completely and allow all tags (JH)
	config.allowedContent = true;
	// force language so other language files can be removed
	config.language = 'en';
	// editor contents appearance
	config.contentsCss = 'css/ckeditorcontents.css';
	// format select element
	config.format_tags = 'p;div;h1;h2;h3;h4;h5;h6';
	// copy and paste
	config.forcePasteAsPlainText = true;
	// file browser
	config.filebrowserImageBrowseUrl = "index.php?cmd=librarybrowseimages" + skSessionId;
	// disable file browser button in image link tab (http://dev.ckeditor.com/ticket/5446)
	config.filebrowserImageBrowseLinkUrl = false;
	//defaults are  percent of window size
  //config.filebrowserWindowWidth  = 980;
  //config.filebrowserWindowHeight = 768;
  config.filebrowserWindowFeatures = 'scrollbars=yes'; 
  //toolbars
  config.toolbar = 'Showkase';
  config.toolbar_Showkase =
  [
    { name: 'styles', items : [ 'Format' ] },
    { name: 'basicstyles', items : [ 'Bold','Italic','Underline','TextColor','BGColor','RemoveFormat' ] },
    { name: 'paragraph', items : [ 'NumberedList','BulletedList' ] },
  	{ name: 'insert', items : [ 'Image','Link','Unlink','Table','HorizontalRule','SpecialChar' ] },
  	{ name: 'clipboard', items : [ 'Cut','Copy','Paste' ] },
  	{ name: 'undo', items: ['Undo','Redo'] },
  	{ name: 'tools', items : [ 'Maximize','Source','-','About' ] }
  ];
  
  config.extraPlugins = 'showblocks';
  
  config.toolbar_Basic =
  [
  	['Bold', 'Italic', '-', 'NumberedList', 'BulletedList', '-', 'Link', 'Unlink','-','About']
  ];
  
  config.toolbar_Full =
  [
  	{ name: 'document', items : [ 'Source','-','Save','NewPage','DocProps','Preview','Print','-','Templates' ] },
  	{ name: 'clipboard', items : [ 'Cut','Copy','Paste','PasteText','PasteFromWord','-','Undo','Redo' ] },
  	{ name: 'editing', items : [ 'Find','Replace','-','SelectAll','-','SpellChecker', 'Scayt' ] },
  	{ name: 'forms', items : [ 'Form', 'Checkbox', 'Radio', 'TextField', 'Textarea', 'Select', 'Button', 'ImageButton', 
   
           'HiddenField' ] },
  	'/',
  	{ name: 'basicstyles', items : [ 'Bold','Italic','Underline','Strike','Subscript','Superscript','-','RemoveFormat' ] },
  	{ name: 'paragraph', items : [ 'NumberedList','BulletedList','-','Outdent','Indent','-','Blockquote','CreateDiv','-','JustifyLeft','JustifyCenter','JustifyRight','JustifyBlock','-','BidiLtr','BidiRtl' ] },
  	{ name: 'links', items : [ 'Link','Unlink','Anchor' ] },
  	{ name: 'insert', items : [ 'Image','Flash','Table','HorizontalRule','Smiley','SpecialChar','PageBreak','Iframe' ] },
  	'/',
  	{ name: 'styles', items : [ 'Styles','Format','Font','FontSize' ] },
  	{ name: 'colors', items : [ 'TextColor','BGColor' ] },
  	{ name: 'tools', items : [ 'Maximize', 'ShowBlocks','-','About' ] }
  ]; 
};
